#ifndef _game_hh_
#define _game_hh_

#include "highscore.hh"

class Game
{
  public:

  Game();
  ~Game();

  int numbricks;
  int keys;
  int door;
  int finished;
  int score;
  int life;
  int ballsIn;
  int numberOfBullets;
  int rocket;
  int counter;
  int level;
  int incSpeed;
  int oldClock;
  int sound;
  int volume;
  char letters[10];
 
  void NewGame();
  void EndWorld();
  void NextLevel();
  void MissedBall();
  void InitLevel(int l);
  void ResetGlobals();
  void PrepareLevel();
  void UpdateScore();
  void UpdateTime();
  void AddLetter(int lett);
  void Start();
  void InputSentence(char* sent ,int length ,int xpos ,int ypos);
  char *InsertName(struct hs_node h);
};

#endif
