#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <pwd.h>
#include "ball.hh"
#include "bat.hh"
#include "explosion.hh"
#include "bonus.hh"
#include "audio.hh"
#include "bullet.hh"
#include "game.hh"
#include "brick.hh"
#include "effect.hh"

void Hold(int times);

int sheet,vext,orm,tailcount,ormdir;
int ormet[10];
moveable move[40];
Effect effect;
Game game;
BallContainer balls;
Bat bat;
Explosions explo;
Bonuses bonus;
Bullets bullets;
Audio audio(50);
Brick brix[100];
char *friends[] = { "pt94mda", "di92th", "pt93jr", "pt93da",NULL };


int main(int argc, char **argv)
{ 
  struct passwd *P = getpwuid(getuid());
  int dir[]={1,GAME_WIDTH,-1,-GAME_WIDTH};
  sheet = 0;
  int ormtime=0;
  int movecount=0;
  for (int k = 0, m = 0; friends[k] != NULL; k++)
    if (!strcmp(friends[k], P->pw_name)) sheet = 1;

  brix->LoadBricks(brix);
  mouseX = GAME_WIDTH * BRICK_WIDTH / 2 - bat.w;

  srandom((int)(time(0)));

  InitWindow(argc, argv);
  InitGraphics();
  InitAudio();
  InitMisc();

  if (argc > 1)
  {
    char b[255];
    strcpy(b, "worlds/");
    strcat(b, argv[1]);
    game.Start();
  }
  else
    game.Start();

  game.NewGame();
  
  int delay = 0;
  int inc = 0;
  static int index=0;


  while (1)
    {
      bullets.Update();
      
      bonus.Update();
	  
      explo.Update(); 
      
      balls.Update();
      
      game.UpdateScore();

      for (int i=0;i<2;i++)
	{
	  if (move[movecount].br!=0)
	    {
	      if (brick[move[movecount].br+move[movecount].dir]==0)
		{
		  RemoveBrick(move[movecount].br);
		  move[movecount].br+=move[movecount].dir;
		  SetBrick(move[movecount].br,move[movecount].type);
		}
	      else
		move[movecount].dir = -move[movecount].dir;
	    }
	  movecount = (++movecount)%40;
	}


      ormtime=(++ormtime)%7;
      if (orm>0 && ormtime==0)
	{
	 
	  if (brick[orm+ormdir]==0 && orm+ormdir<(GAME_WIDTH*(GAME_HEIGHT-4)))
	    {
	      SetBrick(orm,68);
	      ormet[tailcount]=orm;
	      orm+=ormdir;
	      SetBrick(orm,69);
	    }
	  else
	    {
	      int c=0;
	      int d=random()%4;
	      while(c<4)
		{
		  d=(++d)%4;
		  if (brick[orm+dir[d]]==0)
		    {
		      ormdir = dir[d];
		      c=4;
		    }
		  c++;
		}
	    }
	  tailcount = (tailcount+1)%10;
	  if (ormet[tailcount]!=0)
	    {
	      RemoveBrick(ormet[tailcount]);
	      ormet[tailcount]=0;
	    }
	}
      if (vext==1)
	{ 
	  int br = random()%(GAME_WIDTH*(GAME_HEIGHT-7))+GAME_WIDTH;
	  if (brick[br]==52 || brick[br]==53)
	    {
	      if (brick[br]==52)
		SetBrick(br,53);
	      else
		SetBrick(br,52);
	      if (brick[br+1]==0)
		SetBrick(br+1,50);
	      if (brick[br-1]==0)
		SetBrick(br-1,50);
	      if (brick[br+GAME_WIDTH]==0)
		SetBrick(br+GAME_WIDTH,50);
	      if (brick[br-GAME_WIDTH]==0)
		SetBrick(br-GAME_WIDTH,50);
	    }
	  if (brick[br]==51)
	    SetBrick(br,52);
	  if (brick[br]==50)
	    SetBrick(br,51);
	}
      
      bat.Update();
      
      delay++;
      if (delay > 30)
	{
	  inc++;
	  if (inc>game.incSpeed)
	    {
	      balls.ChangeSpeed(1);
	      inc=0;
	    }
	  delay = 0;
	  game.UpdateTime();
	}
      
      Hold(1);
      if (keyNumber == 'p')
	{
	  effect.PrintSpecialText("pausatt",270,300,-1);
	  keyNumber = 0;
	  while (keyNumber != 'p')
	    Hold(1);
	  pw_rop((Xv_opaque)pw,270,300,220,40,
		 PIX_SRC,poBack.pr,270,300);
	  keyNumber = 0;
	}

      if (game.numbricks == 0 && game.door == 0)
	game.finished = 1;
      if (game.finished == 1)
	game.NextLevel();
	
      if (game.ballsIn == 0)
	game.MissedBall();
    } 
}













  













