#include "game.hh"
#include "global.hh"
#include "ball.hh"
#include "bat.hh"
#include "bonus.hh"
#include "bullet.hh"
#include "effect.hh"
#include "explosion.hh"
#include "highscore.hh"
#include "level.hh"
#include <dirent.h>
#include <pwd.h>

extern BallContainer balls;
extern Bat bat;
extern Explosions explo;
extern Bonuses bonus;
extern Bullets bullets;
extern Audio audio;
extern double Sin[360], Cos[360];
extern int orm,tailcount,ormdir,vext,ormet[10];
extern Effect effect;
World world;
struct properties props;
Pixobj poBonusText,poKaffe;

Highscore highScores;
  struct hs_node hs;
void SetTitle(char*);
char *WorldSelect()
{
  // 28 x 34
  struct properties props[13];
  char files[12][40];
  int levels[13];
  int c = 0, tot = 0;
  int xs = 0; // x-spacing
  int ys = 10; // y-spacing
  int gx = 265, gy = 78;
  int off = 255;
  Pixobj mem(GAME_WIDTH*BRICK_WIDTH, 15*(34+ys), 1);
  for (int f = 0; f < GAME_WIDTH*BRICK_WIDTH/2; f++)
    mem.Op(PIX_SET).Vector(f*2, 0, f*2, 15*(34+ys));
  Pixobj poWorld;
  poWorld.Load("gfx/world.ras");
  DIR *dp = new DIR;
  struct dirent *de = new struct dirent;
  dp = opendir("worlds");
  readdir(dp); readdir(dp);
  poPict << PIX_CLR;

  while ((de = readdir(dp))!=NULL)
  {
    strcpy(files[c], de->d_name);
    world.Load(de->d_name);
    world.GetProperties(&props[c]);
    for (int xr=0;xr<5;xr+=2)
      for (int yr=0;yr<5;yr+=2)
	effect.PrintText(props[c].n, mem, 
			 (GAME_WIDTH*BRICK_WIDTH-(strlen(props[c].n)*(30+xs)))/2+xr,
			 (c+2)*(34+ys)+yr, xs);
    
    effect.PrintText(props[c].n, mem,
		     (GAME_WIDTH*BRICK_WIDTH-(strlen(props[c].n)*(30+xs)))/2+xr+2,
		     (c+2)*(34+ys)+2, xs, PIX_NOT(PIX_SRC)&PIX_DST);
    
    levels[c] = world.Levels();
    tot = c++;
  }

  effect.ShowXY(poWorld, (GAME_WIDTH*BRICK_WIDTH-poWorld.prWidth())/2, 10);

  for (int y = 0; y < 30; y++)
  {
    pw_rop((Xv_opaque)pw, 0, off-2, GAME_WIDTH*BRICK_WIDTH, 2, PIX_SRC, poFire.pr, 0, 60-y);
    pw_rop((Xv_opaque)pw, 0, off+215, GAME_WIDTH*BRICK_WIDTH, 2, PIX_SRC, poFire.pr, 0, y);
    Hold(1);
  }
  
  effect.InitGlobe(50);
  poBack.Rect(0,0, 50*2, 50*2) = PIX_CLR;
  effect.SpinGlobe(gx,gy);
  int loff = 40;

  c = 1;

  pw_rop((Xv_opaque)pw, 0, off, GAME_WIDTH*BRICK_WIDTH, 5*(34+ys)-ys/2, PIX_SRC, mem.pr, 0, c*(34+ys));

  pw_rop((Xv_opaque)pw, 337, loff+off+230, 79, 14, PIX_SRC, poKrafs.pr, 0, 59);
  pw_rop((Xv_opaque)pw, 337, loff+off+290, 80, 14, PIX_SRC, poKrafs.pr, 0, 73);
  pw_rop((Xv_opaque)pw, 352, loff+off+350, 79, 14, PIX_SRC, poKrafs.pr, 0, 101);
  
  int move = 0;
  int dir = 0;
  int d = 0;
  int s = 0;
  xs = -8;

  SetMouse(mouseX, 350);
  goto illa;

  while (mouseButton == 0)
  {
    if (mouseY < 345 && c > 0)
      move = 1, dir = -1;

    if (mouseY > 355 && c < tot)
      move = 1, dir = 1;
    
    if (move)
    {
      for (int u = 11; u < 45; u+=11)
      {
	pw_rop((Xv_opaque)pw, 0, off, 
	       GAME_WIDTH*BRICK_WIDTH, 5*(34+ys)-ys/2, 
	       PIX_SRC, mem.pr, 0, c*(34+ys)+u*dir);
	Hold(1);
	effect.SpinGlobe(gx,gy);
      }

      c+=dir;
    }
    if (move)
    {
      
    illa:
      char buf[255];
      sprintf(buf, "%d", levels[c]);

      pw_rop((Xv_opaque)pw, 0, loff+off+250, GAME_WIDTH*BRICK_WIDTH, 34, PIX_SRC, poPict.pr, 0, 0);
      pw_rop((Xv_opaque)pw, 0, loff+off+310, GAME_WIDTH*BRICK_WIDTH, 34, PIX_SRC, poPict.pr, 0, 0);
      pw_rop((Xv_opaque)pw, 0, loff+off+370, GAME_WIDTH*BRICK_WIDTH, 34, PIX_SRC, poPict.pr, 0, 0);
      
      effect.PrintWinText(props[c].a, 
			  (GAME_WIDTH*BRICK_WIDTH-(strlen(props[c].a)*(30+xs)))/2,
			  loff+off+250, xs);
      
      effect.PrintWinText(props[c].c, 
			  (GAME_WIDTH*BRICK_WIDTH-(strlen(props[c].c)*(30+xs)))/2, 
			  loff+off+310, xs);
      
      effect.PrintWinText(buf, 
			  (GAME_WIDTH*BRICK_WIDTH-(strlen(buf)*(30+xs)))/2, 
			  loff+off+370, xs);

      SetMouse(mouseX, 350);
      move = s = 0;
    }

    if (++d > 10)
    {
      d = 0;
      s = 1 - s;
      
      if (s == 1)
      {
	for (int i = 0; i < 21; i++)
	  pw_vector((Xv_opaque)pw, 0, off+2*(34+ys)+i*2, 
		    GAME_WIDTH*BRICK_WIDTH, off+2*(34+ys)+i*2,
		    PIX_CLR, 1);
      }
      else
      {
	pw_rop((Xv_opaque)pw, 0, off+2*(34+ys), 
	       GAME_WIDTH*BRICK_WIDTH, 38+3, 
	       PIX_SRC, mem.pr, 0, (c+2)*(34+ys));
      }
    }
    
    effect.SpinGlobe(gx,gy);

    Hold(1);
  }
  
  return files[c];
}

Game::Game()
{
  sound = 0;
  volume=audio.Volume();
  audio.Volume(volume);
}


Game::~Game()
{
}

void Game::Start()
{
  Pixobj p;
  p.Load("gfx/tk.ras");
  poBonusText.Load("gfx/bonustext.ras");
  poKaffe.Load("gfx/kaffe.ras");
  Pixobj poIron;
  poIron.Load("gfx/ironforce.ras");
  effect.ShowXY(poIron,GAME_WIDTH*BRICK_WIDTH-poIron.prWidth()-40, 700);
  effect.ShowCentered(p);
  Hold(120);
  effect.FadeOut();
  effect.PrintWinText("presenterar", 220, 290);
  effect.PrintWinText("illa stolt..", 210, 340);
  Hold(60);
  effect.FadeOut();
  effect.Intro();
}


void Game::NewGame()
{
  effect.InitMainMenu();
  world.Load(WorldSelect());
  
  effect.FadeOut();
  for (int t = 0; t < 9; t++)
    letters[t] = 26;
  life = 4;
  score = 0;
  effect.PanelUp();
  InitLevel(level);
  effect.PutBat();
}


void Game::NextLevel()
{
  level++;
  char text[10];
  int bon = 5;

  if (level == world.Levels())
  {
    pw_rop((Xv_opaque)pw,190 ,160 ,poKaffe.prWidth(),poKaffe.prHeight(),
	   PIX_SRC|PIX_DST, poKaffe.pr,0 ,0);
    if (sound==1) audio.Play(38);
  }
  else
    if (counter>0)
    {
      pw_rop((Xv_opaque)pw,180 ,200 ,poBonus.prWidth(),poBonus.prHeight(),
	     PIX_SRC|PIX_DST, poBonusText.pr,0 ,0);
      if (sound==1) audio.Play((random()%2)?12:36);
    }
  int wait = 50;

  while (mouseButton==0 && wait>0)
  {
    if (counter>0)
    {
      effect.UpdateTime(--counter);
      score+=bon;
//      if (sound==1 && (score%20==0)) audio.Play(35);
      effect.UpdateScore();
    }
    else
      wait--;
    Hold(1);
  }

  if (counter>0)
  {
    score+=counter*bon;
    effect.UpdateTime(0);
    effect.UpdateScore();
  }

  if (level == world.Levels())
    EndWorld();
  else
  {
    effect.FadeOut(0,0,GAME_WIDTH*BRICK_WIDTH,(GAME_HEIGHT-2)*BRICK_HEIGHT);
    InitLevel(level);
  }
}



void Game::MissedBall()
{
  if (sound==1) audio.Play(31+random()%2*11);
  explo.Add(bat.x+(bat.w-BAT_WIDTH)/2,bat.y); 
  for (int t=0;t<20;t++)
    {
      explo.Update(); 
      Hold(1);
    }
  pw_rop((Xv_opaque)pw,0 ,0 ,BRICK_WIDTH*GAME_WIDTH,
	 BRICK_HEIGHT*(GAME_HEIGHT-2),
	 PIX_SRC, poBack.pr,0 ,0);
  life--;
  if (life<0)
  {
    pw_rop((Xv_opaque)pw,170 ,150 ,poSpel.prWidth(),poSpel.prHeight(),
	   PIX_SRC|PIX_DST, poSpel.pr,0 ,0);
    mouseButton = 0;
    while(mouseButton == 0)
      Hold(1);
    effect.FadeOut();
    SetTitle("Arlanoid  1995 Team Keso");
    EndWorld();
  }
  else
  {
    ResetGlobals();
    effect.UpdateScore();
    effect.UpdateLife();
    effect.PutBat();
  }
}




void Game::EndWorld()
{
  world.GetProperties(&props);
  if (!highScores.Load(props.n))
    highScores.Create(props.n);

  struct passwd *P = getpwuid(getuid());
  strcpy(hs.uid, P->pw_name);
  hs.score = score;
  hs.level = level;

  if (highScores.GetPos(hs))
  {
    if (sound==1) audio.Play(39);
    strcpy(hs.name, (char*)InsertName(hs));
    highScores.Load(props.n);
    if (highScores.GetPos(hs))
    {
      highScores.AddPlayer(hs);
      highScores.Save(props.n);
    }
  }

  effect.FadeOut();
  effect.ViewHiscoreList();
  effect.FadeOut();
  effect.ArlaIn();
  NewGame();
}




void Game::InitLevel(int l)
{
  int offs[]={10,16,20,37,50};
  int of = random()%5;
  for (int t=0;t<GAME_WIDTH*(GAME_HEIGHT-2);t++)
    SetBrick(t,random()%3+offs[of]);
  world.GetLevelProperties(l, &props);
  if (sound==1) audio.Play(43);
  char b[255];
  sprintf(b, "Level (%02d) %s", l+1, props.n);
  SetTitle(b);

  pw_rop((Xv_opaque)pw,341 ,175 ,49,14,
	 PIX_SRC|PIX_DST, poKrafs.pr,0,87);
  pw_rop((Xv_opaque)pw,340 ,173 ,49,14,
	PIX_NOT(PIX_SRC)&PIX_DST, poKrafs.pr,0,87);
  pw_rop((Xv_opaque)pw,331 ,275 ,77,14,
	 PIX_SRC|PIX_DST, poKrafs.pr,0,59);
  pw_rop((Xv_opaque)pw,330 ,273 ,77,14,
	PIX_NOT(PIX_SRC)&PIX_DST, poKrafs.pr,0,59);
  pw_rop((Xv_opaque)pw,331 ,375 ,80,14,
	 PIX_SRC|PIX_DST, poKrafs.pr,0,73);
  pw_rop((Xv_opaque)pw,330 ,373 ,80,14,
	 PIX_NOT(PIX_SRC)&PIX_DST, poKrafs.pr,0,73);
 
 
  effect.PrintSpecialText(props.n,360-(strlen(props.n)/2)*25+15,200,-5);
  effect.PrintSpecialText(props.a,360-(strlen(props.a)/2)*25+15,300,-5);
  effect.PrintSpecialText(props.c,360-(strlen(props.c)/2)*25+15,400,-5);
   
  world.LevelCopy(brick, l);
  
  incSpeed = props.f[1];
  counter = props.f[0];
  poPict << PIX_CLR;
  poLogo << PIX_CLR;
  if (props.b[0]!=0)
    {
      poLogo.Load(props.b);
      if (props.f[3] == 0)
	poPict.Op(PIX_SRC).Rect((GAME_WIDTH*BRICK_WIDTH - poLogo.prWidth())/2,
				((GAME_HEIGHT-2)*BRICK_HEIGHT-poLogo.prHeight())/2,
				poLogo.prWidth(),poLogo.prHeight()) = 
				  poLogo.X(0).Y(0);
      if (props.f[3] == 1)
	poPict.Op(PIX_SRC).Rect(0, 0, poPict.prWidth(), poPict.prHeight())
	  *= poLogo.X(0).Y(0);
    }
  ResetGlobals();
 
  PrepareLevel();
  effect.UpdateScore();
  effect.UpdateLife();
 
  mouseButton = 0;
  int wait = 150;
  while(mouseButton == 0 && wait>0)
    {
      Hold(1);
      wait--;
    }
  //effect.FadeOut(0,0,GAME_WIDTH*BRICK_WIDTH,(GAME_HEIGHT-2)*BRICK_HEIGHT);
  // poBack.Rect(0,0,BRICK_WIDTH*GAME_WIDTH,
  //	      BRICK_HEIGHT*(GAME_HEIGHT+2)) = poPict.X(0).Y(0);
  effect.LevelIn();
}





void Game::ResetGlobals()
{
  bonus.DeleteAll();
  balls.DeleteAll();
  explo.DeleteAll();
  bullets.DeleteAll();
  balls.Add(0,0,70,props.f[2],2,BAT_WIDTH / 2+6);
  bat.speed = 6;
  bat.w = BAT_WIDTH;
  bat.size = 2; 
  bat.stat = 0;
  bat.h = BAT_HEIGHT;
  bat.catchTimes = 0;
  bat.mirror = 0;
  numberOfBullets = 0;
  rocket = 0;
  finished = 0;
}



void Game::UpdateTime()
{
  counter--;
  if (counter>=0)
    effect.UpdateTime(counter);
}



void Game::UpdateScore()
{
  effect.UpdateScore();
}






void Game::PrepareLevel()
{
  int mo=0;
  numbricks=0;
  keys = 0;
  door = 0;
  vext = 0;
  orm = tailcount = ormdir = 0;
  for (int t=0;t<10;t++)
    ormet[t]=0;
  for (t=0;t<40;t++)
    move[t].br=0;
  poBack.Op(PIX_SRC);
  poBack.Rect(0,0,BRICK_WIDTH*GAME_WIDTH,
	      BRICK_HEIGHT*(GAME_HEIGHT+2)) = poPict.X(0).Y(0);
  poBack.Rect(0,(GAME_HEIGHT-2)*BRICK_HEIGHT,
	      GAME_WIDTH*BRICK_WIDTH,BRICK_HEIGHT*4) = poPanel.X(0).Y(0);

  for (int y = 0; y < GAME_HEIGHT; y++)
    for (int x = 0; x < GAME_WIDTH; x++)
      {
	int b = brick[y*GAME_WIDTH+x];

	if (b>49 && b<54)
	  vext=1;
	if (b==69)
	  orm=y*GAME_WIDTH+x;

	if (brix[b].mask!=-1)
	  {
	    poBack.Op(PIX_SRC&PIX_DST).
	      Rect(x*BRICK_WIDTH, y*BRICK_HEIGHT, BRICK_WIDTH, BRICK_HEIGHT) = 
		poMask.X((brix[b].mask%10)* BRICK_WIDTH).
		  Y(int(brix[b].mask/10)*BRICK_HEIGHT);
	    poBack.Op(PIX_SRC|PIX_DST).Rect(x*BRICK_WIDTH, y*BRICK_HEIGHT, 
					    BRICK_WIDTH, BRICK_HEIGHT) = 
					      poBrick.X(brix[b].x).
						Y(brix[b].y);
	  }
	else
	  if (b!=0)
	    poBack.Op(PIX_SRC).Rect(x*BRICK_WIDTH, y*BRICK_HEIGHT, 
				    BRICK_WIDTH, BRICK_HEIGHT) = 
				      poBrick.X(brix[b].x).
					Y(brix[b].y);
	if (brix[b].special==10)
	  {
	    move[mo].br = y*GAME_WIDTH+x;
	    move[mo].dir = (random()%2)*2-1;
	    move[mo].type = b;
	    mo=(++mo)%40;
	  }
	if (brix[b].special==1)
	  keys++;
	if (brix[b].special==8)
	  door=y*GAME_WIDTH+x;
	if (brix[b].changeTo!=0)
	  {
	    int start=b;
	    b=brix[b].changeTo;
	    while(brix[b].changeTo!=0 && b!=start)
	      b=brix[b].changeTo;
	  }
	if (brix[b].needed==1)
	  numbricks++;
      }
}





void Game::AddLetter(int lett)
{
  char* words[]={"keso",
		 "bepp",
		 "arla",
		 "illa",
		 "kaka",
		 "abba",
		 "saab",
		 "kaos",
		 "kass",
		 "beep",
		 "kiss",
		 "rapa",
		 "kossa"};


/*		 "fisk",
		 "exit",
		 "acid",
		 "boom",
		 "atom",
		 "beep",
		 "kaos",
		 "hund",
		 "pung",
		 "coke",
		 "cola",
		 "kass",
		 "evil",
		 "gold",
		 "guru",
		 "oslo",
		 "pitt",
		 "kiss",
		 "bajs",
		 "shit",
		 "fest",
		 "fisa",
		 "gris",
		 "sune",
		 "katt",
		 "saab",
		 "osis",
		 "suga",
		 "sota",
		 "olle"};  */

  static int numWords = 13;
 
  for (int t=7;t>0;t--)
    letters[t]=letters[t-1];
  letters[0]=lett;
  char temp[8];

  for (int n=0;n<numWords;n++)
    {
      int letts=0;
      //printf("%d\n",n);
      for (int l=0;l<8;l++)
	temp[l]=letters[l];
      int u=0;
      while(u==letts && u<strlen(words[n]))
	{
	  for (t=0;t<8;t++)
	    if (temp[t]==words[n][u]-97)
	      {
		temp[t]=26;
		letts++;
		t=8;
	      }
	  u++;
	}
      if (letts==strlen(words[n]))
	{
	 
	  effect.UpdateLetters();
 
	  effect.PrintSpecialText(words[n],360-(strlen(words[n])/2)*35,300,5);
	  effect.PrintSpecialText("bonus",290,330,4);
	  Hold(50);
	  char temp2[8];
	  for (int l=0;l<8;l++)
	    temp2[l]=letters[l];
	  for (t=0;t<8;t++)
	    {
	      for (int l=0;l<8;l++)
		letters[l]=temp2[l];
	      effect.UpdateLetters();
	      Hold(7);
	      for (l=0;l<8;l++)
		letters[l]=temp[l];
	      effect.UpdateLetters();
	      Hold(7);
	    }
	
	  switch (n)
	    {
	      
	    case 0:
	      for (t=0;t<GAME_WIDTH*(GAME_HEIGHT-4);t++)
		if (brick[t]==0)
		  SetBrick(t,3+random()%2);
	    
	      break;
	      
	    case 1:
	      finished=1;
	      effect.PrintSpecialText("-next level-",205,360,-1);
	      Hold(100);
	      pw_rop((Xv_opaque)pw,205,360,360,40,
		     PIX_SRC,poBack.pr,205,360);
	      break;

	    case 2:
	      effect.PrintSpecialText("-extra ball-",205,360,-1);
	      life++;
	      effect.UpdateLife();
	      Hold(100);
	      pw_rop((Xv_opaque)pw,205,360,360,40,
		     PIX_SRC,poBack.pr,205,360);
	      break;

	    case 3:
	      if (sound==1) audio.Play(48);
	       for (t=0;t<GAME_WIDTH*(GAME_HEIGHT-5);t++)
		if (brick[t]==0)
		  {
		    SetBrick(t,34);
		    numbricks++;
		  }
	      //printf("%s\n",words[n]);
	      break;

	    case 4:
	      for (int y = 1; y < GAME_HEIGHT; y++)
		for (int x = 1; x < GAME_WIDTH-1; x++)
		  {
		    t =y*GAME_WIDTH+x;
		    
		    if (brix[brick[t]].strength==5)
		      {
			if (brix[brick[t]].special==-1)
			  SetBrick(t,3+random()%2);
		      }
		  }
	      //printf("%s\n",words[n]);
	      break;

	    case 5:
	      for (y = 1; y < GAME_HEIGHT; y++)
		for (int x = 1; x < GAME_WIDTH-1; x++)
		  {
		    t =y*GAME_WIDTH+x;
		    
		    if (brix[brick[t]].strength==5)
		      if (brix[brick[t]].special==-1)
			{
			  numbricks++;
			  SetBrick(t,37+random()%3);
			}
		  }
	      //printf("%s\n",words[n]);
	      break;
	    case 11:
	      audio.Play(40);
	      break;

	    default:
	      if (sound==1) audio.Play(35+random()%2*3);
	      
	      for (t=0;t<200;t++)
		{
		  score+=10;
		  effect.UpdateScore();
		}
	      break;
	    }
	      pw_rop((Xv_opaque)pw,0,300,GAME_WIDTH*BRICK_WIDTH,120,
		     PIX_SRC,poBack.pr,0,300);
	      n=numWords;
	}
    }
  
  effect.UpdateLetters();
}





void Game::InputSentence(char* sent ,int length ,int xpos ,int ypos)
{
  int pos=0;
  int markor=0;
  int flash = 0;
  keyNumber = 0;
  for (int t=0;t < length;t++)
    sent[t]=0;
 
  
  while (keyNumber != XK_Return && keyNumber != XK_KP_Enter)
    {
      Hold(1);
     
      if (keyNumber == XK_BackSpace || keyNumber == XK_Delete)
      {
	if (pos > 0)
	  {
	    pw_rop((Xv_opaque)pw,xpos+(pos-1)*25,ypos,50,34,
		   PIX_SRC,poBack.pr,xpos+(pos-1)*25,ypos);
	    pos--;
	    sent[pos]=0;
	    effect.PrintWinText(sent,xpos,ypos,-4);
	    flash=10;
	    keyNumber = 0;
	  }
      }
      else
      {
	if (keyNumber!=0 && pos<length && keyNumber != XK_Return && 
	    keyNumber != XK_KP_Enter && keyNumber != XK_Shift_L && 
	    keyNumber != XK_Shift_R)
	{
	  pw_rop((Xv_opaque)pw,xpos+25*pos+4,ypos,20,34,
		 PIX_SRC,poBack.pr,xpos+25*pos+4,ypos);
	  sent[pos]=keyNumber;
	  pos++;
	  effect.PrintWinText(sent,xpos,ypos,-4);
	  flash=10;
	  keyNumber = 0;
	}
      }

      flash++;
      if (flash>10)
      {
	flash=0;
	markor=1-markor;
	if (markor==1)
	  pw_rop((Xv_opaque)pw,xpos+25*pos+4,ypos,20,34,
		 PIX_SRC,poBack.pr,xpos+25*pos+4,ypos);
	else
	  pw_rop((Xv_opaque)pw,xpos+25*pos+4,ypos,20,34,
		 PIX_SRC,po28x34.pr,34,108);
      }
    }
   if (sound==1) audio.Play(44);
}





char *Game::InsertName(struct hs_node h)
{
  poBack << PIX_CLR;
  poPict << PIX_CLR;
  finished = 1;
  poLogo.Load("gfx/ko.ras");
  poBack.Op(PIX_SRC).Rect((GAME_WIDTH*BRICK_WIDTH - poLogo.prWidth())/2,
			  ((GAME_HEIGHT-2)*BRICK_HEIGHT-poLogo.prHeight())/2,
			  poLogo.prWidth(),poLogo.prHeight()) = 
			    poLogo.X(0).Y(0);
  char str[7];
  char* text = new char[25];
  int place = highScores.GetPos(h);
  for (int t = 0; t < SCORES;t++)
  {
    sprintf(text, "%02d. %s", t+1, highScores.hs[t].name);
      
    for (int k = strlen(text); k < NAMELEN+4; k++)
      text[k] = ' ';
    text[k] = '\0';

    sprintf(str, " %02d", highScores.hs[t].level+1);
    
    strcat(text, str);
    sprintf(str, " %06d", highScores.hs[t].score);

    strcat(text, str);
    effect.PrintText(text,poPict,50,t*36+15,-4);
  }
  
  for (int yp = 0;yp<(GAME_HEIGHT+2)*BRICK_HEIGHT;yp+=2)
    poBack.Op(PIX_SRC).Rect(0,yp,GAME_WIDTH*BRICK_WIDTH,1) =
      poPict.X(0).Y(yp);
  
  for (yp = (place-1)*36+15;yp<place*36+15;yp++)
    poBack.Op(PIX_SRC).Rect(0,yp,GAME_WIDTH*BRICK_WIDTH,1) =
      poPict.X(0).Y(yp);

  pw_rop((Xv_opaque)pw,0,0,GAME_WIDTH*BRICK_WIDTH,(GAME_HEIGHT+2)*BRICK_HEIGHT,
	 PIX_SRC,poBack.pr,0,0);
  
  char name[10];
  InputSentence(name ,10,150,(place-1)*36+15);
  return name;
}
