#include "declarations.hh"

extern void SetBrickProperties(int n);

// Edit window canvas notify

Notify_value ecanvas_notify(Xv_window win, Event *event, Notify_arg arg, Notify_event_type type)
{
  int btn = event->ie_xevent->xbutton.button;
  
  switch(event_action(event))
  {
  case LOC_MOVE:
    break;
    
  case LOC_DRAG:
    Draw(event_x(event), event_y(event), mark[btn]);
    break;
  }
  
  switch(event->ie_xevent->type)
  {
  case ButtonPress:
    Draw(event_x(event), event_y(event),mark[btn]);
    break;
    
  case ButtonRelease:
    break;
  }
	
  return notify_next_event_func(win, (Notify_event) event, arg, type);
}

Notify_value bcanvas_notify(Xv_window win, Event *event, Notify_arg arg, Notify_event_type type)
{
  switch(event->ie_xevent->type)
  {
  case ButtonPress:
    MarkBrick(mark[event->ie_xevent->xbutton.button], PIX_CLR);
    int newbr =  int(event_y(event)/MARK_HEIGHT)*6 + int(event_x(event)/MARK_WIDTH);
    mark[event->ie_xevent->xbutton.button] = newbr;
    SetBrickProperties(mark[1]);


    pw_rop((Xv_opaque)pwin, 5, 5, BRICK_WIDTH, BRICK_HEIGHT, PIX_SRC, bricks.pr, brix[mark[1]].x, brix[mark[1]].y);

    pw_rop((Xv_opaque)pwin, 5, 5+BRICK_HEIGHT+10, BRICK_WIDTH, BRICK_HEIGHT, PIX_SRC, bricks.pr, brix[brix[mark[1]].changeTo].x, brix[brix[mark[1]].changeTo].y);
      
    MarkBrick(newbr,PIX_SET);
    break;
    
  case ButtonRelease:
    break;

  case KeyPress:
    struct passwd *P = getpwuid(getuid());
    if (!strcmp(P->pw_name, "pt93jr") || !strcmp(P->pw_name, "pt93da"))
    {
      if (xv_get(Led_win_props.win_props, XV_SHOW) == FALSE)
	xv_set(Led_win_props.win_props, XV_X, 350, XV_Y, 560, XV_SHOW, TRUE, NULL);
    }
    break;
  }
  return notify_next_event_func(win, (Notify_event) event, arg, type);
}
