;GIL-3
(
(
	:type                   :menu
	:name                   menu_world
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("New" "Load" "Save" "Save as" "Properties" "Quit" )
	:menu-item-label-types  (:string :string :string :string :string :string )
	:menu-item-states       (:active :active :inactive :inactive :inactive :active )
	:menu-item-defaults     (nil t nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil )
	:menu-item-handlers     (menu_world_new menu_world_load menu_world_save menu_world_save_as menu_world_properties menu_world_quit )
	:menu-item-menus        (nil nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (menu_world "New")
		:when                   (Notify )
		:to                     (menu_world "New")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_new)
		)
		(
		:from                   (menu_world "Load")
		:when                   (Notify )
		:to                     (menu_world "Load")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_load)
		)
		(
		:from                   (menu_world "Save")
		:when                   (Notify )
		:to                     (menu_world "Save")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_save)
		)
		(
		:from                   (menu_world "Save as")
		:when                   (Notify )
		:to                     (menu_world "Save as")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_save_as)
		)
		(
		:from                   (menu_world "Properties")
		:when                   (Notify )
		:to                     (menu_world "Properties")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_properties)
		)
		(
		:from                   (menu_world "Quit")
		:when                   (Notify )
		:to                     (menu_world "Quit")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_world_quit)
		)
	)
)
(
	:type                   :menu
	:name                   menu_insert
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Before" "After" "Top" "Bottom" )
	:menu-item-label-types  (:string :string :string :string )
	:menu-item-states       (:active :active :active :active )
	:menu-item-defaults     (nil nil nil t )
	:initial-selections     (nil nil nil nil )
	:menu-item-handlers     (menu_insert_before menu_insert_after menu_insert_top menu_insert_bottom )
	:menu-item-menus        (nil nil nil nil )
	:menu-item-colors       ("" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (menu_insert "Before")
		:when                   (Notify )
		:to                     (menu_insert "Before")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_insert_before)
		)
		(
		:from                   (menu_insert "After")
		:when                   (Notify )
		:to                     (menu_insert "After")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_insert_after)
		)
		(
		:from                   (menu_insert "Top")
		:when                   (Notify )
		:to                     (menu_insert "Top")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_insert_top)
		)
		(
		:from                   (menu_insert "Bottom")
		:when                   (Notify )
		:to                     (menu_insert "Bottom")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_insert_bottom)
		)
	)
)
(
	:type                   :menu
	:name                   menu_move
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Up" "Down" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (t nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (menu_move_up menu_move_down )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (menu_move "Up")
		:when                   (Notify )
		:to                     (menu_move "Up")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_move_up)
		)
		(
		:from                   (menu_move "Down")
		:when                   (Notify )
		:to                     (menu_move "Down")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_move_down)
		)
	)
)
(
	:type                   :menu
	:name                   menu_level
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Insert" "Move" "Delete" "Properties" "Load" "Save" )
	:menu-item-label-types  (:string :string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active :active )
	:menu-item-defaults     (t nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil )
	:menu-item-handlers     (nil nil menu_level_delete menu_level_properties menu_level_load menu_level_save )
	:menu-item-menus        (menu_insert menu_move nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (menu_level "Delete")
		:when                   (Notify )
		:to                     (menu_level "Delete")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_level_delete)
		)
		(
		:from                   (menu_level "Properties")
		:when                   (Notify )
		:to                     (menu_level "Properties")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_level_properties)
		)
		(
		:from                   (menu_level "Load")
		:when                   (Notify )
		:to                     (menu_level "Load")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_level_load)
		)
		(
		:from                   (menu_level "Save")
		:when                   (Notify )
		:to                     (menu_level "Save")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (menu_level_save)
		)
	)
)
(
	:type                   :base-window
	:name                   win_main
	:owner                  nil
	:width                  261
	:height                 206
	:background-color       ""
	:foreground-color       ""
	:label                  "Arlanoid Level Editor"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   ctrl
	:owner                  win_main
	:help                   ""
	:x                      0
	:y                      0
	:width                  261
	:height                 206
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          ctrl_notify
	:user-data              ()
	:actions                (
		(
		:from                   (win_main ctrl)
		:when                   (AnyEvent )
		:to                     (win_main ctrl)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ctrl_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_world
	:owner                  ctrl
	:help                   ""
	:x                      8
	:y                      8
	:width                  67
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "World"
	:label-type             :string
	:initial-state          :active
	:menu                   menu_world
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   btn_level
	:owner                  ctrl
	:help                   ""
	:x                      80
	:y                      8
	:width                  63
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Level"
	:label-type             :string
	:initial-state          :inactive
	:menu                   menu_level
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :scrolling-list
	:name                   list_world
	:owner                  ctrl
	:help                   ""
	:x                      8
	:y                      40
	:width                  190
	:height                 134
	:value-x                8
	:value-y                40
	:rows                   5
	:foreground-color       ""
	:label                  ""
	:title                  " "
	:label-type             :string
	:layout-type            :horizontal
	:read-only              t
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :inactive
	:droppable              nil
	:default-drop-site      nil
	:menu                   menu_level
	:notify-handler         list_world_select
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (win_main list_world)
		:when                   (Notify )
		:to                     (win_main list_world)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (list_world_select)
		)
	)
)
(
	:type                   :button
	:name                   btn_open
	:owner                  ctrl
	:help                   ""
	:x                      224
	:y                      80
	:width                  28
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "O"
	:label-type             :string
	:initial-state          :inactive
	:menu                   nil
	:notify-handler         btn_open_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_main btn_open)
		:when                   (Notify )
		:to                     (win_main btn_open)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_open_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_next
	:owner                  ctrl
	:help                   ""
	:x                      224
	:y                      112
	:width                  27
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "N"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_next_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_main btn_next)
		:when                   (Notify )
		:to                     (win_main btn_next)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_next_notify)
		)
	)
)
(
	:type                   :message
	:name                   msg_levels
	:owner                  ctrl
	:help                   ""
	:x                      8
	:y                      184
	:width                  40
	:height                 13
	:foreground-color       ""
	:label                  "Level:"
	:label-type             :string
	:label-bold             t
	:initial-state          :inactive
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :base-window
	:name                   win_edit
	:owner                  win_main
	:width                  754
	:height                 644
	:background-color       ""
	:foreground-color       ""
	:label                  "Untitled"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :canvas-pane
	:name                   ecanvas
	:owner                  win_edit
	:help                   ""
	:x                      0
	:y                      0
	:width                  754
	:height                 644
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:horizontal-scrollbar   nil
	:scrollable-width       754
	:vertical-scrollbar     nil
	:scrollable-height      644
	:repaint-proc           nil
	:event-handler          ecanvas_notify
	:drawing-model          :xview
	:user-data              ()
	:actions                (
		(
		:from                   (win_edit ecanvas)
		:when                   (AnyEvent )
		:to                     (win_edit ecanvas)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ecanvas_notify)
		)
	)
)
(
	:type                   :base-window
	:name                   win_bricks
	:owner                  win_main
	:width                  380
	:height                 574
	:background-color       ""
	:foreground-color       ""
	:label                  "Bricks"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :canvas-pane
	:name                   bcanvas
	:owner                  win_bricks
	:help                   ""
	:x                      0
	:y                      0
	:width                  380
	:height                 574
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:horizontal-scrollbar   nil
	:scrollable-width       380
	:vertical-scrollbar     nil
	:scrollable-height      574
	:repaint-proc           nil
	:event-handler          bcanvas_notify
	:drawing-model          :xview
	:user-data              ()
	:actions                (
		(
		:from                   (win_bricks bcanvas)
		:when                   (AnyEvent )
		:to                     (win_bricks bcanvas)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (bcanvas_notify)
		)
	)
)
(
	:type                   :base-window
	:name                   win_props
	:owner                  win_bricks
	:width                  379
	:height                 280
	:background-color       ""
	:foreground-color       ""
	:label                  "Brick properties"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   ctrlbp1
	:owner                  win_props
	:help                   ""
	:x                      0
	:y                      0
	:width                  303
	:height                 280
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_name
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      16
	:width                  274
	:height                 15
	:value-x                66
	:value-y                16
	:value-length           28
	:stored-length          32
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_change_to
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      38
	:width                  156
	:height                 15
	:value-x                103
	:value-y                38
	:value-length           2
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Change to  :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              126
	:min-value              -1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         brick_change_to_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_props txt_brick_change_to)
		:when                   (Notify )
		:to                     (win_props txt_brick_change_to)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (brick_change_to_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   txt_brick_breakable
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      60
	:width                  157
	:height                 15
	:value-x                104
	:value-y                60
	:value-length           2
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Breakable  :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              126
	:min-value              -1
	:initial-value          1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_bonus
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      82
	:width                  155
	:height                 15
	:value-x                102
	:value-y                82
	:value-length           2
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Bonus        :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              126
	:min-value              -1
	:initial-value          -1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_special
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      104
	:width                  154
	:height                 15
	:value-x                101
	:value-y                104
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Special      :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              126
	:min-value              -1
	:initial-value          -1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_sound
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      126
	:width                  154
	:height                 15
	:value-x                101
	:value-y                126
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Sound        :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              126
	:min-value              -1
	:initial-value          -1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_score
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      148
	:width                  153
	:height                 15
	:value-x                100
	:value-y                148
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Score         :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              1000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_needed
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      170
	:width                  154
	:height                 15
	:value-x                101
	:value-y                170
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Needed      :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_explosion
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      192
	:width                  155
	:height                 15
	:value-x                102
	:value-y                192
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Explosion  :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              100
	:min-value              0
	:initial-value          1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_brick_mask
	:owner                  ctrlbp1
	:help                   ""
	:x                      16
	:y                      214
	:width                  156
	:height                 15
	:value-x                103
	:value-y                214
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Mask          :"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:max-value              100
	:min-value              -1
	:initial-value          -1
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   btn_brick_save
	:owner                  ctrlbp1
	:help                   ""
	:x                      8
	:y                      248
	:width                  46
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Save"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_brick_save_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_props btn_brick_save)
		:when                   (Notify )
		:to                     (win_props btn_brick_save)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_brick_save_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_brick_apply
	:owner                  ctrlbp1
	:help                   ""
	:x                      72
	:y                      248
	:width                  53
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_brick_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_props btn_brick_apply)
		:when                   (Notify )
		:to                     (win_props btn_brick_apply)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_brick_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_brick_reset
	:owner                  ctrlbp1
	:help                   ""
	:x                      144
	:y                      248
	:width                  51
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_brick_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_props btn_brick_reset)
		:when                   (Notify )
		:to                     (win_props btn_brick_reset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_brick_reset_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_brick_dismiss
	:owner                  ctrlbp1
	:help                   ""
	:x                      208
	:y                      248
	:width                  65
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Dismiss"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_props btn_brick_dismiss)
		:when                   (Notify )
		:to                     (win_props)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Hide)
		)
	)
)
(
	:type                   :canvas-pane
	:name                   pcanvas
	:owner                  win_props
	:help                   ""
	:x                      302
	:y                      0
	:width                  77
	:height                 280
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:horizontal-scrollbar   nil
	:scrollable-width       77
	:vertical-scrollbar     nil
	:scrollable-height      280
	:repaint-proc           nil
	:event-handler          nil
	:drawing-model          :xview
	:user-data              ()
	:actions                ()
)
(
	:type                   :base-window
	:name                   win_level
	:owner                  win_main
	:width                  363
	:height                 277
	:background-color       ""
	:foreground-color       ""
	:label                  "Level properties"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   ctrllp1
	:owner                  win_level
	:help                   ""
	:x                      0
	:y                      0
	:width                  363
	:height                 274
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_level_name
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      16
	:width                  282
	:height                 15
	:value-x                58
	:value-y                16
	:value-length           29
	:stored-length          30
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_level_author
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      41
	:width                  289
	:height                 15
	:value-x                65
	:value-y                41
	:value-length           29
	:stored-length          30
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Author:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_level_comment
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      66
	:width                  308
	:height                 15
	:value-x                84
	:value-y                66
	:value-length           29
	:stored-length          30
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Comment:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :slider
	:name                   slider_level_time
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      91
	:width                  228
	:height                 20
	:value-x                49
	:value-y                91
	:slider-width           124
	:ticks                  0
	:foreground-color       ""
	:label                  "Time:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :horizontal
	:show-endboxes          nil
	:show-range             nil
	:show-value             t
	:min-value              0
	:max-value              1000
	:min-value-string       "0"
	:max-value-string       "1000"
	:min-tick-string        "0"
	:max-tick-string        "0"
	:initial-value          400
	:initial-state          :active
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :slider
	:name                   slider_level_increase
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      121
	:width                  228
	:height                 20
	:value-x                73
	:value-y                121
	:slider-width           100
	:ticks                  0
	:foreground-color       ""
	:label                  "Increase:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :horizontal
	:show-endboxes          nil
	:show-range             nil
	:show-value             t
	:min-value              0
	:max-value              100
	:min-value-string       ""
	:max-value-string       ""
	:min-tick-string        ""
	:max-tick-string        ""
	:initial-value          50
	:initial-state          :active
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :slider
	:name                   slider_level_speed
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      151
	:width                  228
	:height                 20
	:value-x                91
	:value-y                151
	:slider-width           82
	:ticks                  0
	:foreground-color       ""
	:label                  "Start speed:"
	:label-type             :string
	:layout-type            :horizontal
	:orientation            :horizontal
	:show-endboxes          nil
	:show-range             nil
	:show-value             t
	:min-value              1
	:max-value              10
	:min-value-string       ""
	:max-value-string       ""
	:min-tick-string        ""
	:max-tick-string        ""
	:initial-value          4
	:initial-state          :active
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   btn_level_load
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      181
	:width                  88
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Background"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_level_load_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_level btn_level_load)
		:when                   (Notify )
		:to                     (win_level btn_level_load)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_level_load_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   txt_level_background
	:owner                  ctrllp1
	:help                   ""
	:x                      120
	:y                      184
	:width                  224
	:height                 15
	:value-x                120
	:value-y                184
	:value-length           28
	:stored-length          255
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   setting_alignment
	:owner                  ctrllp1
	:help                   ""
	:x                      8
	:y                      211
	:width                  92
	:height                 23
	:value-x                8
	:value-y                211
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Centered" "Tiled" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (nil nil )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   btn_level_apply
	:owner                  ctrllp1
	:help                   ""
	:x                      64
	:y                      240
	:width                  53
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_level_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_level btn_level_apply)
		:when                   (Notify )
		:to                     (win_level btn_level_apply)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_level_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_level_reset
	:owner                  ctrllp1
	:help                   ""
	:x                      142
	:y                      240
	:width                  51
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_level_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_level btn_level_reset)
		:when                   (Notify )
		:to                     (win_level btn_level_reset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_level_reset_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_level_dismiss
	:owner                  ctrllp1
	:help                   ""
	:x                      216
	:y                      240
	:width                  65
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Dismiss"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_level btn_level_dismiss)
		:when                   (Notify )
		:to                     (win_level)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Hide)
		)
	)
)
(
	:type                   :base-window
	:name                   win_world
	:owner                  win_main
	:width                  321
	:height                 129
	:background-color       ""
	:foreground-color       ""
	:label                  "World properties"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              nil
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   ctrlwp1
	:owner                  win_world
	:help                   ""
	:x                      0
	:y                      0
	:width                  321
	:height                 129
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_world_name
	:owner                  ctrlwp1
	:help                   ""
	:x                      16
	:y                      16
	:width                  174
	:height                 15
	:value-x                70
	:value-y                16
	:value-length           15
	:stored-length          15
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Name: "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_world_author
	:owner                  ctrlwp1
	:help                   ""
	:x                      16
	:y                      40
	:width                  289
	:height                 15
	:value-x                73
	:value-y                40
	:value-length           29
	:stored-length          30
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Author:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   txt_world_comment
	:owner                  ctrlwp1
	:help                   ""
	:x                      16
	:y                      64
	:width                  308
	:height                 15
	:value-x                92
	:value-y                64
	:value-length           29
	:stored-length          30
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Comment:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   btn_world_apply
	:owner                  ctrlwp1
	:help                   ""
	:x                      56
	:y                      96
	:width                  53
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_world_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_world btn_world_apply)
		:when                   (Notify )
		:to                     (win_world btn_world_apply)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_world_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_world_reset
	:owner                  ctrlwp1
	:help                   ""
	:x                      136
	:y                      96
	:width                  51
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         btn_world_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_world btn_world_reset)
		:when                   (Notify )
		:to                     (win_world btn_world_reset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (btn_world_reset_notify)
		)
	)
)
(
	:type                   :button
	:name                   btn_world_dismiss
	:owner                  ctrlwp1
	:help                   ""
	:x                      216
	:y                      96
	:width                  65
	:height                 20
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Dismiss"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (win_world btn_world_dismiss)
		:when                   (Notify )
		:to                     (win_world)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Hide)
		)
	)
)
)
