#include <stdio.h>
#include <string.h>
#include "level.hh"

World world;
Level level;
int y;
unsigned char v[13*23];
struct properties p;

void Save();
void Load();
void Moff();
void WorldInit();
void SaveMany();
void DumpOrder();
void Normal();

int main()
{
//  WorldInit();
  Moff();
//  Save();
//  Load();
//  SaveMany();
//  Normal();
}



void WorldInit()
{
  strcpy(p.n, "Knebel utah");
  strcpy(p.a, "Bepp");
  strcpy(p.c, "Tyver");
  strcpy(p.b, "/usr/illa/keso.ras");
  world.SetProperties(p);
}

void Moff()
{
  world.Load("../worlds/hh.world");
  world.DumpAll(0);
  world.SaveLevel(1);
}

void Normal()
{
  uchar order[100];
  order[0] = 1;
  order[1] = 0;
  Level level;

  WorldInit();
  world.InsertLevel(level);

  strcpy(p.n, "Bana 1");
  strcpy(p.a, "Bepp");
  strcpy(p.c, "Inget");
  p.f[2] = 5000;
  world.SetLevelProperties(0, p);

  world.InsertLevel(level);
  strcpy(p.n, "Bana 2");
  strcpy(p.a, "Beppno");
  strcpy(p.c, "Riksaw");
  p.f[2] = 0;
  p.f[4] = 1234;
  world.SetLevelProperties(1, p);

  world.DumpAll(1);
  world.Save("Keso", order);

//  world.Load("Keso");
//  world.DumpAll(1);
}

/*

void Load()
{
  world.Load("../worlds/bepp.world");
  
  world.DumpAll(1);

  uchar *s = world.Order();
  printf("Order: ");
  for (int k = 0; k < (int)world.Levels(); k++)
    printf("%d ", s[k]);
  printf("\n");

  world.DumpOrder();
  world.DeleteLevel(1);
  world.DumpAll(1);
  world.DumpOrder();
  printf("\n");
}

void Save()
{
  WorldInit();

  strcpy(p.n, "Bana 1");
  strcpy(p.a, "Bepp");
  strcpy(p.c, "Inget");
  level.SetProperties(p);
  world.InsertLevel(level, 0);
  world.DumpOrder();
  puts("here");

  for (y = 0; y < 13*23; y++) v[y] = 2;
  level.Update(v);
  strcpy(p.n, "Bana 2");
  strcpy(p.a, "Snigel");
  strcpy(p.c, "Inget alls");
  level.SetProperties(p);
  world.InsertLevel(level, 1);
  world.DumpOrder();

  for (y = 0; y < 13*23; y++) v[y] = 3;
  level.Update(v);
  strcpy(p.n, "Bana 3");
  strcpy(p.a, "Pomey");
  strcpy(p.c, "Inte mycket");
  level.SetProperties(p);
  world.InsertLevel(level, 2);
  world.DumpOrder();

//  world.DumpAll();
  uchar *s = world.Order();
  printf("Order: [%d,%d]\n", s[0], s[1]);
  s[0] = 1;
  s[1] = 0;
  world.Order(s);

  uchar *f = world.Order();
  printf("Order: [%d,%d]\n", f[0], f[1]);

  world.Save("../worlds/bepp.world");
}

void SaveMany()
{
  for (y = 0; y < 13*23; y++) v[y] = 1;

  strcpy(p.n, "Bana 1");
  strcpy(p.a, "Bepp");
  strcpy(p.c, "Inget");
  level.Update(v);
  level.SetProperties(p);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);
  strcpy(p.n, "Bana 7");
  strcpy(p.a, "Bepp");
  strcpy(p.c, "Inget");
  level.Update(v);
  level.SetProperties(p);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);
  world.InsertLevel(level, 0);

  world.DumpAll(1);

  world.Save("bepp.world");
}

*/
